GG: GG::StyleFactory Class Reference

GG

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
GG::StyleFactory Class Reference

`#include <StyleFactory.h>`

## Public Member Functions
virtual boost::shared_ptr< Font > | DefaultFont (unsigned int pts=12) const
virtual boost::shared_ptr< Font > | DefaultFont (unsigned int pts, const UnicodeCharset *first, const UnicodeCharset *last) const
virtual void | DeleteWnd (Wnd *wnd) const

## Static Public Member Functions
static const std::string & | DefaultFontName ()

## Structors
| StyleFactory ()
virtual | ~StyleFactory ()

## Controls
virtual Button * | NewButton (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Flags< WndFlag > flags=INTERACTIVE) const
virtual StateButton * | NewStateButton (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Flags< TextFormat > format, Clr color, Clr text_color=CLR_BLACK, Clr interior=CLR_ZERO, StateButtonStyle style=SBSTYLE_3D_XBOX, Flags< WndFlag > flags=INTERACTIVE) const
virtual RadioButtonGroup * | NewRadioButtonGroup (X x, Y y, X w, Y h, Orientation orientation) const
virtual DropDownList * | NewDropDownList (X x, Y y, X w, Y h, Y drop_ht, Clr color, Flags< WndFlag > flags=INTERACTIVE) const
virtual DynamicGraphic * | NewDynamicGraphic (X x, Y y, X w, Y h, bool loop, X frame_width, Y frame_height, int margin, const std::vector< boost::shared_ptr< Texture > > &textures, Flags< GraphicStyle > style=GRAPHIC_NONE, int frames=DynamicGraphic::ALL_FRAMES, Flags< WndFlag > flags=Flags< WndFlag >()) const
virtual Edit * | NewEdit (X x, Y y, X w, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Clr interior=CLR_ZERO, Flags< WndFlag > flags=INTERACTIVE) const
virtual ListBox * | NewListBox (X x, Y y, X w, Y h, Clr color, Clr interior=CLR_ZERO, Flags< WndFlag > flags=INTERACTIVE) const
virtual MenuBar * | NewMenuBar (X x, Y y, X w, const boost::shared_ptr< Font > &font, Clr text_color=CLR_WHITE, Clr color=CLR_BLACK, Clr interior=CLR_SHADOW) const
virtual MultiEdit * | NewMultiEdit (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Flags< MultiEditStyle > style=MULTI_LINEWRAP, Clr text_color=CLR_BLACK, Clr interior=CLR_ZERO, Flags< WndFlag > flags=INTERACTIVE) const
virtual Scroll * | NewScroll (X x, Y y, X w, Y h, Orientation orientation, Clr color, Clr interior, Flags< WndFlag > flags=INTERACTIVE|REPEAT_BUTTON_DOWN) const
virtual Slider< int > * | NewIntSlider (X x, Y y, X w, Y h, int min, int max, Orientation orientation, SliderLineStyle style, Clr color, int tab_width, int line_width=5, Flags< WndFlag > flags=INTERACTIVE) const
virtual Slider< double > * | NewDoubleSlider (X x, Y y, X w, Y h, double min, double max, Orientation orientation, SliderLineStyle style, Clr color, int tab_width, int line_width=5, Flags< WndFlag > flags=INTERACTIVE) const
virtual Spin< int > * | NewIntSpin (X x, Y y, X w, int value, int step, int min, int max, bool edits, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Clr interior=CLR_ZERO, Flags< WndFlag > flags=INTERACTIVE) const
virtual Spin< double > * | NewDoubleSpin (X x, Y y, X w, double value, double step, double min, double max, bool edits, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Clr interior=CLR_ZERO, Flags< WndFlag > flags=INTERACTIVE) const
virtual StaticGraphic * | NewStaticGraphic (X x, Y y, X w, Y h, const boost::shared_ptr< Texture > &texture, Flags< GraphicStyle > style=GRAPHIC_NONE, Flags< WndFlag > flags=Flags< WndFlag >()) const
virtual TabBar * | NewTabBar (X x, Y y, X w, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, TabBarStyle style=TAB_BAR_ATTACHED, Flags< WndFlag > flags=INTERACTIVE) const
virtual TextControl * | NewTextControl (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color=CLR_BLACK, Flags< TextFormat > format=FORMAT_NONE, Flags< WndFlag > flags=Flags< WndFlag >()) const
virtual TextControl * | NewTextControl (X x, Y y, const std::string &str, const boost::shared_ptr< Font > &font, Clr color=CLR_BLACK, Flags< TextFormat > format=FORMAT_NONE, Flags< WndFlag > flags=Flags< WndFlag >()) const
virtual GroupBox * | NewGroupBox (X x, Y y, X w, Y h, const std::string &label, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Clr interior=CLR_ZERO, Flags< WndFlag > flags=Flags< WndFlag >()) const

## Subcontrols
virtual ListBox * | NewDropDownListListBox (X x, Y y, X w, Y h, Clr color, Clr interior=CLR_ZERO, Flags< WndFlag > flags=INTERACTIVE) const
virtual Scroll * | NewListBoxVScroll (X x, Y y, X w, Y h, Clr color, Clr interior, Flags< WndFlag > flags=INTERACTIVE|REPEAT_BUTTON_DOWN) const
virtual Scroll * | NewListBoxHScroll (X x, Y y, X w, Y h, Clr color, Clr interior, Flags< WndFlag > flags=INTERACTIVE|REPEAT_BUTTON_DOWN) const
virtual Scroll * | NewMultiEditVScroll (X x, Y y, X w, Y h, Clr color, Clr interior, Flags< WndFlag > flags=INTERACTIVE|REPEAT_BUTTON_DOWN) const
virtual Scroll * | NewMultiEditHScroll (X x, Y y, X w, Y h, Clr color, Clr interior, Flags< WndFlag > flags=INTERACTIVE|REPEAT_BUTTON_DOWN) const
virtual Button * | NewScrollUpButton (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Flags< WndFlag > flags=INTERACTIVE|REPEAT_BUTTON_DOWN) const
virtual Button * | NewScrollDownButton (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Flags< WndFlag > flags=INTERACTIVE|REPEAT_BUTTON_DOWN) const
virtual Button * | NewVScrollTabButton (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Flags< WndFlag > flags=INTERACTIVE) const
virtual Button * | NewScrollLeftButton (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Flags< WndFlag > flags=INTERACTIVE|REPEAT_BUTTON_DOWN) const
virtual Button * | NewScrollRightButton (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Flags< WndFlag > flags=INTERACTIVE|REPEAT_BUTTON_DOWN) const
virtual Button * | NewHScrollTabButton (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Flags< WndFlag > flags=INTERACTIVE) const
virtual Button * | NewVSliderTabButton (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Flags< WndFlag > flags=INTERACTIVE) const
virtual Button * | NewHSliderTabButton (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Flags< WndFlag > flags=INTERACTIVE) const
virtual Button * | NewSpinIncrButton (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Flags< WndFlag > flags=INTERACTIVE|REPEAT_BUTTON_DOWN) const
virtual Button * | NewSpinDecrButton (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Flags< WndFlag > flags=INTERACTIVE|REPEAT_BUTTON_DOWN) const
virtual Edit * | NewSpinEdit (X x, Y y, X w, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Clr interior=CLR_ZERO, Flags< WndFlag > flags=INTERACTIVE) const
virtual StateButton * | NewTabBarTab (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Flags< TextFormat > format, Clr color, Clr text_color=CLR_BLACK, Clr interior=CLR_ZERO, StateButtonStyle style=SBSTYLE_3D_TOP_ATTACHED_TAB, Flags< WndFlag > flags=INTERACTIVE) const
virtual Button * | NewTabBarLeftButton (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Flags< WndFlag > flags=INTERACTIVE) const
virtual Button * | NewTabBarRightButton (X x, Y y, X w, Y h, const std::string &str, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, Flags< WndFlag > flags=INTERACTIVE) const

## Wnds
virtual TabWnd * | NewTabWnd (X x, Y y, X w, Y h, const boost::shared_ptr< Font > &font, Clr color, Clr text_color=CLR_BLACK, TabBarStyle style=TAB_BAR_ATTACHED, Flags< WndFlag > flags=INTERACTIVE|DRAGABLE) const

## Dialogs
virtual ColorDlg * | NewColorDlg (X x, Y y, const boost::shared_ptr< Font > &font, Clr dialog_color, Clr border_color, Clr text_color=CLR_BLACK) const
virtual ColorDlg * | NewColorDlg (X x, Y y, Clr original_color, const boost::shared_ptr< Font > &font, Clr dialog_color, Clr border_color, Clr text_color=CLR_BLACK) const
virtual FileDlg * | NewFileDlg (const std::string &directory, const std::string &filename, bool save, bool multi, const boost::shared_ptr< Font > &font, Clr color, Clr border_color, Clr text_color=CLR_BLACK) const
virtual ThreeButtonDlg * | NewThreeButtonDlg (X x, Y y, X w, Y h, const std::string &msg, const boost::shared_ptr< Font > &font, Clr color, Clr border_color, Clr button_color, Clr text_color, int buttons, const std::string &zero="", const std::string &one="", const std::string &two="") const
virtual ThreeButtonDlg * | NewThreeButtonDlg (X w, Y h, const std::string &msg, const boost::shared_ptr< Font > &font, Clr color, Clr border_color, Clr button_color, Clr text_color, int buttons, const std::string &zero="", const std::string &one="", const std::string &two="") const

## Detailed Description

Creates new dialogs and Controls.

This class can be used to create a look for the entire GUI by providing user-defined subclasses of the standard Controls. A Control or dialog can then use the StyleFactory to create the dialogs/controls it needs (e.g. a vertical Scroll uses NewVScrollTabButton() to create its tab). This reduces the amount of subclass code that is required to produce a set of custom GG classes. Note that the subcontrol factory methods below may be the same as or different from their generic counterparts, allowing greater flexibility in which controls are created in different contexts. For example, NewButton() may create a generic, basic GG Button, but NewHSliderTabButton() may produce a specialized button that looks better on horizontal sliders. By default, all subcontrol methods invoke the more generic control method for the type of control they each return.

Definition at line 80 of file StyleFactory.h.

## Member Function Documentation

virtual boost::shared_ptr<Font> GG::StyleFactory::DefaultFont | ( | unsigned int | pts = `12` | ) | const
| virtual

Returns the default font for this style, in the size pts, supporting all printable ASCII characters.

virtual boost::shared_ptr<Font> GG::StyleFactory::DefaultFont | ( | unsigned int | pts,
|  | const UnicodeCharset * | first,
|  | const UnicodeCharset * | last
| ) |  | const
| virtual

Returns the default font for this style, in the size pts, supporting all the characters in the UnicodeCharsets in the range [first, last).

virtual Button* GG::StyleFactory::NewButton | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new GG Button.

virtual StateButton* GG::StyleFactory::NewStateButton | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Flags< TextFormat > | format,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Clr | interior = `CLR_ZERO`,
|  | StateButtonStyle | style = `SBSTYLE_3D_XBOX`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new GG StateButton.

virtual RadioButtonGroup* GG::StyleFactory::NewRadioButtonGroup | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | Orientation | orientation
| ) |  | const
| virtual

Returns a new GG RadioButtonGroup.

virtual DropDownList* GG::StyleFactory::NewDropDownList | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | Y | drop_ht,
|  | Clr | color,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new GG DropDownList.

virtual DynamicGraphic* GG::StyleFactory::NewDynamicGraphic | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | bool | loop,
|  | X | frame_width,
|  | Y | frame_height,
|  | int | margin,
|  | const std::vector< boost::shared_ptr< Texture > > & | textures,
|  | Flags< GraphicStyle > | style = `GRAPHIC_NONE`,
|  | int | frames = `DynamicGraphic::ALL_FRAMES`,
|  | Flags< WndFlag > | flags = `Flags< WndFlag >()`
| ) |  | const
| virtual

Returns a new GG DynamicGraphic.

virtual Edit* GG::StyleFactory::NewEdit | ( | X | x,
|  | Y | y,
|  | X | w,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Clr | interior = `CLR_ZERO`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new GG Edit.

virtual ListBox* GG::StyleFactory::NewListBox | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | Clr | color,
|  | Clr | interior = `CLR_ZERO`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new GG ListBox.

virtual MenuBar* GG::StyleFactory::NewMenuBar | ( | X | x,
|  | Y | y,
|  | X | w,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | text_color = `CLR_WHITE`,
|  | Clr | color = `CLR_BLACK`,
|  | Clr | interior = `CLR_SHADOW`
| ) |  | const
| virtual

Returns a new GG MenuBar.

virtual MultiEdit* GG::StyleFactory::NewMultiEdit | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Flags< MultiEditStyle > | style = `MULTI_LINEWRAP`,
|  | Clr | text_color = `CLR_BLACK`,
|  | Clr | interior = `CLR_ZERO`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new GG MultiEdit.

virtual Scroll* GG::StyleFactory::NewScroll | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | Orientation | orientation,
|  | Clr | color,
|  | Clr | interior,
|  | Flags< WndFlag > | flags = `INTERACTIVE|REPEAT_BUTTON_DOWN`
| ) |  | const
| virtual

Returns a new GG Scroll.

virtual Slider<int>* GG::StyleFactory::NewIntSlider | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | int | min,
|  | int | max,
|  | Orientation | orientation,
|  | SliderLineStyle | style,
|  | Clr | color,
|  | int | tab_width,
|  | int | line_width = `5`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new GG Slider<int>.

virtual Slider<double>* GG::StyleFactory::NewDoubleSlider | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | double | min,
|  | double | max,
|  | Orientation | orientation,
|  | SliderLineStyle | style,
|  | Clr | color,
|  | int | tab_width,
|  | int | line_width = `5`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new GG Slider<double>.

virtual Spin<int>* GG::StyleFactory::NewIntSpin | ( | X | x,
|  | Y | y,
|  | X | w,
|  | int | value,
|  | int | step,
|  | int | min,
|  | int | max,
|  | bool | edits,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Clr | interior = `CLR_ZERO`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new GG Spin<int>.

virtual Spin<double>* GG::StyleFactory::NewDoubleSpin | ( | X | x,
|  | Y | y,
|  | X | w,
|  | double | value,
|  | double | step,
|  | double | min,
|  | double | max,
|  | bool | edits,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Clr | interior = `CLR_ZERO`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new GG Spin<int>.

virtual StaticGraphic* GG::StyleFactory::NewStaticGraphic | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const boost::shared_ptr< Texture > & | texture,
|  | Flags< GraphicStyle > | style = `GRAPHIC_NONE`,
|  | Flags< WndFlag > | flags = `Flags< WndFlag >()`
| ) |  | const
| virtual

Returns a new GG StaticGraphic.

virtual TabBar* GG::StyleFactory::NewTabBar | ( | X | x,
|  | Y | y,
|  | X | w,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | TabBarStyle | style = `TAB_BAR_ATTACHED`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new GG TabBar.

virtual TextControl* GG::StyleFactory::NewTextControl | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color = `CLR_BLACK`,
|  | Flags< TextFormat > | format = `FORMAT_NONE`,
|  | Flags< WndFlag > | flags = `Flags< WndFlag >()`
| ) |  | const
| virtual

Returns a new GG TextControl.

virtual TextControl* GG::StyleFactory::NewTextControl | ( | X | x,
|  | Y | y,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color = `CLR_BLACK`,
|  | Flags< TextFormat > | format = `FORMAT_NONE`,
|  | Flags< WndFlag > | flags = `Flags< WndFlag >()`
| ) |  | const
| virtual

Returns a new GG TextControl whose size is exactly that required to hold its text.

virtual GroupBox* GG::StyleFactory::NewGroupBox | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | label,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Clr | interior = `CLR_ZERO`,
|  | Flags< WndFlag > | flags = `Flags< WndFlag >()`
| ) |  | const
| virtual

Returns a new GG GroupBox.

virtual ListBox* GG::StyleFactory::NewDropDownListListBox | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | Clr | color,
|  | Clr | interior = `CLR_ZERO`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new ListBox, to be used in a DropDownList.

virtual Scroll* GG::StyleFactory::NewListBoxVScroll | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | Clr | color,
|  | Clr | interior,
|  | Flags< WndFlag > | flags = `INTERACTIVE|REPEAT_BUTTON_DOWN`
| ) |  | const
| virtual

Returns a new vertical Scroll, to be used in a ListBox.

virtual Scroll* GG::StyleFactory::NewListBoxHScroll | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | Clr | color,
|  | Clr | interior,
|  | Flags< WndFlag > | flags = `INTERACTIVE|REPEAT_BUTTON_DOWN`
| ) |  | const
| virtual

Returns a new horizontal Scroll, to be used in a ListBox.

virtual Scroll* GG::StyleFactory::NewMultiEditVScroll | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | Clr | color,
|  | Clr | interior,
|  | Flags< WndFlag > | flags = `INTERACTIVE|REPEAT_BUTTON_DOWN`
| ) |  | const
| virtual

Returns a new vertical Scroll, to be used in a MultiEdit.

virtual Scroll* GG::StyleFactory::NewMultiEditHScroll | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | Clr | color,
|  | Clr | interior,
|  | Flags< WndFlag > | flags = `INTERACTIVE|REPEAT_BUTTON_DOWN`
| ) |  | const
| virtual

Returns a new horizontal Scroll, to be used in a MultiEdit.

virtual Button* GG::StyleFactory::NewScrollUpButton | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Flags< WndFlag > | flags = `INTERACTIVE|REPEAT_BUTTON_DOWN`
| ) |  | const
| virtual

Returns a new up (decrease) Button, to be used in a vertical Scroll.

virtual Button* GG::StyleFactory::NewScrollDownButton | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Flags< WndFlag > | flags = `INTERACTIVE|REPEAT_BUTTON_DOWN`
| ) |  | const
| virtual

Returns a new down (increase) Button, to be used in a vertical Scroll.

virtual Button* GG::StyleFactory::NewVScrollTabButton | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new tab Button, to be used in a vertical Scroll.

virtual Button* GG::StyleFactory::NewScrollLeftButton | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Flags< WndFlag > | flags = `INTERACTIVE|REPEAT_BUTTON_DOWN`
| ) |  | const
| virtual

Returns a new left (decrease) Button, to be used in a horizontal Scroll.

virtual Button* GG::StyleFactory::NewScrollRightButton | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Flags< WndFlag > | flags = `INTERACTIVE|REPEAT_BUTTON_DOWN`
| ) |  | const
| virtual

Returns a new right (increase) Button, to be used in a horizontal Scroll.

virtual Button* GG::StyleFactory::NewHScrollTabButton | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new tab Button, to be used in a horizontal Scroll.

virtual Button* GG::StyleFactory::NewVSliderTabButton | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new tab Button, to be used in a vertical Slider.

virtual Button* GG::StyleFactory::NewHSliderTabButton | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new tab Button, to be used in a horizontal Slider.

virtual Button* GG::StyleFactory::NewSpinIncrButton | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Flags< WndFlag > | flags = `INTERACTIVE|REPEAT_BUTTON_DOWN`
| ) |  | const
| virtual

Returns a new increase Button, to be used in a Spin.

virtual Button* GG::StyleFactory::NewSpinDecrButton | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Flags< WndFlag > | flags = `INTERACTIVE|REPEAT_BUTTON_DOWN`
| ) |  | const
| virtual

Returns a new decrease Button, to be used in a Spin.

virtual Edit* GG::StyleFactory::NewSpinEdit | ( | X | x,
|  | Y | y,
|  | X | w,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Clr | interior = `CLR_ZERO`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new Edit, to be used in an editable Spin.

virtual StateButton* GG::StyleFactory::NewTabBarTab | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Flags< TextFormat > | format,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Clr | interior = `CLR_ZERO`,
|  | StateButtonStyle | style = `SBSTYLE_3D_TOP_ATTACHED_TAB`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new StateButton, to be used in a TabBar.

virtual Button* GG::StyleFactory::NewTabBarLeftButton | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new left Button, to be used in a TabBar.

virtual Button* GG::StyleFactory::NewTabBarRightButton | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | str,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | Flags< WndFlag > | flags = `INTERACTIVE`
| ) |  | const
| virtual

Returns a new left Button, to be used in a TabBar.

virtual TabWnd* GG::StyleFactory::NewTabWnd | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | text_color = `CLR_BLACK`,
|  | TabBarStyle | style = `TAB_BAR_ATTACHED`,
|  | Flags< WndFlag > | flags = `INTERACTIVE|DRAGABLE`
| ) |  | const
| virtual

Returns a new GG TabWnd.

virtual ColorDlg* GG::StyleFactory::NewColorDlg | ( | X | x,
|  | Y | y,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | dialog_color,
|  | Clr | border_color,
|  | Clr | text_color = `CLR_BLACK`
| ) |  | const
| virtual

Returns a new GG ColorDlg.

virtual ColorDlg* GG::StyleFactory::NewColorDlg | ( | X | x,
|  | Y | y,
|  | Clr | original_color,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | dialog_color,
|  | Clr | border_color,
|  | Clr | text_color = `CLR_BLACK`
| ) |  | const
| virtual

Returns a new GG ColorDlg that has a starting color specified.

virtual FileDlg* GG::StyleFactory::NewFileDlg | ( | const std::string & | directory,
|  | const std::string & | filename,
|  | bool | save,
|  | bool | multi,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | border_color,
|  | Clr | text_color = `CLR_BLACK`
| ) |  | const
| virtual

Returns a new GG FileDlg.

virtual ThreeButtonDlg* GG::StyleFactory::NewThreeButtonDlg | ( | X | x,
|  | Y | y,
|  | X | w,
|  | Y | h,
|  | const std::string & | msg,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | border_color,
|  | Clr | button_color,
|  | Clr | text_color,
|  | int | buttons,
|  | const std::string & | zero = `""`,
|  | const std::string & | one = `""`,
|  | const std::string & | two = `""`
| ) |  | const
| virtual

Returns a new GG ThreeButtonDlg.

virtual ThreeButtonDlg* GG::StyleFactory::NewThreeButtonDlg | ( | X | w,
|  | Y | h,
|  | const std::string & | msg,
|  | const boost::shared_ptr< Font > & | font,
|  | Clr | color,
|  | Clr | border_color,
|  | Clr | button_color,
|  | Clr | text_color,
|  | int | buttons,
|  | const std::string & | zero = `""`,
|  | const std::string & | one = `""`,
|  | const std::string & | two = `""`
| ) |  | const
| virtual

Returns a new GG ThreeButtonDlg that automatically centers itself in the app.

virtual void GG::StyleFactory::DeleteWnd | ( | Wnd * | wnd | ) | const
| virtual

Deletes wnd. It is only necessary to use this method to destroy Wnds when the factory that created them exists in a plugin.

static const std::string& GG::StyleFactory::DefaultFontName | ( |  | ) |
| static

The "filename" of the default font.

The documentation for this class was generated from the following file:

- StyleFactory.h